body,
span,
p,
a,
button,
input,
ul,
li,
button:focus {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    text-decoration: none;
    background: inherit;
    font-family: inherit;
    color: inherit;
    border: inherit;
    margin: inherit;
    padding: inherit;
    height: inherit;
    outline: none;
}

body {
    background: var(--c1);
    color: var(--c4);
    font-family: sans-serif;
}

button:hover {
    cursor: pointer;
}

:root {
    --dark-blue: #1B222B;
    --black: #0D0D0D;
    --blue: rgb(0, 100, 162);
    --off-blue: #252e3b;
    --white: white;
    --green: #92D050;
    --red: #FF2525;
    --grey: #d3d3d3;
    --light-grey: #7F7F7F;
    --light-blue: #CDF2FF;
    --m1: 20px;
    --m2: 40px;
    --c1: var(--dark-blue);
    --c2: var(--black);
    --c3: var(--blue);
    --c4: var(--white);
    --c5: var(--green);
    --c6: var(--red);
    --c7: var(--grey);
    --c8: var(--light-grey);
    --c9: var(--light-blue);
    --c10: var(--off-blue);
    --c11: #9da4c7;
    --s0: 1.1rem;
    --s1: 1rem;
    --s2: 0.9rem;
    --s3: 0.8rem;
    --s4: 0.7rem;
}

#pop {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background: var(--c8);
    opacity: 0.85;
    z-index: 5;
}

.pop-main {
    background: var(--c1);
    opacity: 1;
    z-index: 5;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translatey(-50%) translatex(-50%) rotateY(0deg);
    width: 80%;
    max-width: 300px;
    white-space: nowrap;
    border-radius: 6px;
    padding: 10px;
    box-shadow: 0 0 20px var(--c2);
}
.premium-pop-p {
    text-align: center;
    white-space: normal;
    font-size: var(--s2);
    line-height: 1.4;
    margin: 10px 10px;
}
.main-pop-t-l {
    display: grid;
    justify-content: start;
    align-items: start;
}

.main-pop-t-l span {
    transform: translateY(-4px);
}
#premium-pop-p2 span {
    margin: 0;
    text-decoration: underline;
    color: var(--c9);
}
#premium-pop-t-c {
    font-size: var(--s0);
}
.premium-pop-p {
    text-align: center;
    white-space: normal;
    font-size: var(--s2);
    line-height: 1.4;
    margin: 10px 10px;
}
#premium-pop-lm {
    margin-bottom: -5px;
}
#premium-pop-p1 {
    margin-top: 15px;
    margin-bottom: 15px;
}
#premium-pop-p2 {
    font-size: var(--s3);
}

.endpointSideBarWr,
.endpointSideBarWr:focus,
.endpointSideBarWr:active,
.endpointSideBarWr:hover {
    display: grid;
    grid-template-columns: min-content auto;
    column-gap: 10px;
    align-content: center;
    align-items: center;
    padding: 0;
    margin: 0;
    height: unset;
    /* margin-left: 20px; */
    /* white-space: nowrap; */
    padding: 10px 0;
}

.endpointSideBarWr p {
    padding: 0;
}

.endpointSideBarWr p:hover {
    font-weight: bold;
}

.endpointDot {
    height: 10px;
    width: 10px;
    border-radius:10px;
    box-shadow: 0 0 0px lime;
    background: lime;
    padding: 0;
    animation: flashing 3s linear infinite;
}

@keyframes flashing {
    0% {
        box-shadow: 0 0 0px lime;
        background: lime;
    }
    60% {
        box-shadow: 0 0 100px lime;
        background: #04af04;
    }
    100% {
        box-shadow: 0 0 100px lime;
        background: #04af04;
    }
}
.endpointsLeftWr {
    background: #eeecf6;
    box-shadow: 0 0 10px grey;
    padding: 0 20px;
    height: calc(100vh - 51px);
    max-height: calc(100vh - 51px);
    white-space: nowrap;
    overflow-y: auto;
    -ms-overflow-style: none;
    scrollbar-color: #5e46a4 transparent !important;
    scrollbar-width: thin !important;
}

.endpointsLeftWr::-webkit-scrollbar {
    height: 6px;
    width: 4px;
    background: transparent;
}

.endpointsLeftWr::-webkit-scrollbar-track:vertical {
    background: transparent;
}

.endpointsLeftWr::-webkit-scrollbar-thumb:vertical {
    background: #5e46a4;
}

.mainSectionRight {
    display: grid;
    padding: 0 40px;
    line-height: 1.5;
    height: calc(100vh - 51px);
    max-height: calc(100vh - 51px);
    overflow-y: auto;
    overflow-x: hidden;
    /* padding-bottom: 100px; */
}
.mainSectionRight p,
.mainSectionRight ul,
.mainSectionRight li,
.mainSectionRight a {
    height: unset;
    max-height: unset;
    padding: 0;
}
@media screen and (min-width: 745px) {
    .endpointsLeftWr {
        height: calc(100vh - 87px);
        max-height: calc(100vh - 87px);
    }
    .mainSectionRight {
        height: calc(100vh - 87px);
        max-height: calc(100vh - 87px);
    }
}

.exampleRequestBox {
    padding: 20px;
    background: #f6f6f6;
    margin: 0;
    height: min-content;
    box-shadow: 0 0 5px black;
    max-width: calc(100vw - 250px - 80px - 40px);
}

.exampleRequest,
.exampleRequest2 {
    margin: 0;
    font-weight: normal;
    padding: 0;
    /* text-align: center; */
    font-size: 1rem;
    word-wrap: break-word;
    max-width: calc(100vw - 250px - 80px - 40px);
    margin-top: 10px;
}

.exampleRequest2 {
    font-size: 1rem;
}

.exampleRequest2 a {
    text-decoration: underline;
}

.exampleRequestHighlight {
    font-weight: bold;
    display: inline-block;
    background: #d8c0f7;
    margin: 0;
    max-width: 100%;
    word-wrap: break-word;
}

.sidebarBtns,
.sidebarBtns:active,
.sidebarBtns:hover,
.sidebarBtns:focus {
    font-weight: bold;
    font-size: 1.2rem;
    margin: 20px 0 10px 0;
    padding: 0;
    height: unset;
    display: block;
}

.sidebarBtns:nth-child(1) {
    margin-top: 40px;
}

.fieldTitle {
    margin: 0;
    padding: 0;
    color: #730273;
    font-weight: bold;
}

.fieldTitle2 {
    margin: 0;
    padding: 0;
    /* color: #730273; */
    font-weight: bold;
}

.endpointDetailsTitle {
    position: sticky;
    z-index: 2;
    top: 0px;
    background: #f5f3ff;
    padding: 40px 0 20px 0;
    margin: 0 -8px;
    margin-top: 20px;
}

.endpointDetails {
    margin: 0;
}

#mainWr {
    display: grid;
    grid-template-columns: 250px auto;
    color: black;
    font-weight: bold;
    align-content: start;
    align-items: start;
}

.exampleResponse {
    word-wrap: break-word;
    max-width: calc(100vw - 250px - 80px - 40px);
    margin-top: 10px;
    font-weight: normal;
    overflow-x: auto;
    -ms-overflow-style: none;
    scrollbar-color: #5e46a4 transparent !important;
    scrollbar-width: thin !important;
}

.exampleResponse::-webkit-scrollbar {
    height: 6px;
    width: 4px;
    background: transparent;
}

.exampleResponse::-webkit-scrollbar-track:horizontal {
    background: transparent;
}

.exampleResponse::-webkit-scrollbar-thumb:horizontal {
    background: #5e46a4;
}

.staleNote {
    word-wrap: break-word;
    max-width: calc(100vw - 250px - 80px - 40px);
    margin-top: 10px;
    color: #5420b0;
    font-style: italic;
}

.endpointTopWr,
.endpointTopWr:focus,
.endpointTopWr:active,
.endpointTopWr:hover {
    display: grid;
    grid-template-columns: min-content auto;
    column-gap: 10px;
    align-content: center;
    align-items: center;
    padding: 0;
    margin: 0;
    height: unset;
    /* margin-left: 20px; */
    /* white-space: nowrap; */
    padding: 10px 20px;
}

.endpointTopWr p {
    padding: 0;
}

.endpointTopWr p:hover {
    font-weight: bold;
}

#endpointsTopMain {
    background: #eeecf6;
    box-shadow: 0 0 10px grey;
    color: black;
    white-space: nowrap;
    display: none;
    justify-content: center;
    justify-items: center;
    position: fixed;
}

#endpointsAllWr {
    /* padding: 0px 20px; */
    display: flex;
    justify-content: start;
    justify-items: start;
    /* column-gap: 20px; */
    overflow: auto;
    max-width: 100%;
    overflow-x: auto;
    -ms-overflow-style: none;
    scrollbar-width: none;
    overflow-y: scroll;
}
#endpointsAllWr::-webkit-scrollbar {
    display: none; /* for Chrome, Safari, and Opera */
}

#mainTitle {
    justify-self: center;
    text-align: center;
    font-size: 1.5rem;
    margin: 40px 0 0 0;
}

@media screen and (max-width: 650px) {
    #mainWr {
        grid-template-columns: auto;
    }
    .endpointsLeftWr {
        display: none;
    }
    .exampleRequest,
    .exampleRequest2 {
        max-width: calc(100vw - 80px - 40px);
    }
    .exampleResponse {
        max-width: calc(100vw - 80px - 40px);
    }
    .staleNote {
        max-width: calc(100vw - 80px - 40px);
    }
    #endpointsTopMain {
        display: grid;
    }
    .endpointDetailsTitle {
        position: unset;
        background: transparent;
    }
    #mainTitle {
        margin-top: 80px;
    }
    .exampleRequestBox {
        max-width: calc(100vw - 80px - 40px);

    }
}

.endpointDetails li {
    word-wrap: break-word;
}

html {
    scroll-behavior: smooth;
}

.msg {
    color: white;
    font-size: 1rem;
    background: #12992d;
    text-align: center;
    width: 100%;
    box-sizing: border-box; 
    padding: 10px 20px;
    font-weight: bold;
    box-shadow: 0 0 10px black;
}

#jsonExample {
    white-space: pre;
}

@media screen and (max-width: 315px) {
    #jsonExample {
        font-size: 0.9rem;
    }
}

@media screen and (max-width: 290px) {
    #jsonExample {
        font-size: 0.8rem;
    }
}